%define	major		1
%define	libname		%mklibname vmime %{major}
%define develname	%mklibname vmime -d

# comment out when not pre-release
%define prel		20220326

%define rel		2

Summary:	A powerful C++ class library for working with MIME/Internet messages
Name:		libvmime
Version:	0.9.2
Release:	%mkrel %{?prel:15.git%prel.}%{rel}
License:	GPLv3
Group:		System/Libraries
URL:		https://www.vmime.org/
Source0:	https://github.com/kisli/vmime/archive/v%{version}/vmime-%{?prel:%prel}%{?!prel:%version}.tar.%{?prel:xz}%{?!prel:gz}
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	pkgconfig(libgsasl)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(zlib)


%description
VMime is a powerful C++ class library for parsing, generating or
editing Internet RFC-[2]822 and MIME messages. VMime is designed
to provide a fast and an easy way to manipulate Internet mail
messages.

It also includes support for using messaging protocols (POP3, IMAP,
SMTP and maildir) with a lot of features supported: listing folders,
downloading and adding messages to folders, extracting parts from
message, getting and setting message flags and a lot more.

This package contains an old and deprecated version of libvmime.
You need it only if the software you are using hasn't been updated
to work with the newer version and the newer API.

%package -n	%{libname}
Summary:	Library associated with ncpfs
Group:		System/Libraries

%description -n	%{libname}
VMime is a powerful C++ class library for parsing, generating or
editing Internet RFC-[2]822 and MIME messages. VMime is designed
to provide a fast and an easy way to manipulate Internet mail
messages.

It also includes support for using messaging protocols (POP3, IMAP,
SMTP and maildir) with a lot of features supported: listing folders,
downloading and adding messages to folders, extracting parts from
message, getting and setting message flags and a lot more.

This package contains an old and deprecated version of libvmime.
You need it only if the software you are using hasn't been updated
to work with the newer version and the newer API.

%package -n	%{develname}
Summary:	Development files for the libvmime library
Group:		Development/C++
Requires:	%{libname} >= %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The libvmime package includes header files and libraries necessary
for developing programs which use the libvmime C++ class library.

This package contains an old and deprecated version of libvmime.
You need it only if the software you are using hasn't been updated
to work with the newer version and the newer API.

%prep
%autosetup -p1 -n vmime-%{?prel}%{?!prel:%version}

%build
%cmake -DVMIME_SENDMAIL_PATH:STRING=%{_sbindir}/sendmail \
       -DVMIME_BUILD_STATIC_LIBRARY:BOOL=OFF
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc AUTHORS README
%license COPYING
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS README
%license COPYING
%{_libdir}/%{name}.so
%{_includedir}/vmime/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/vmime/


%changelog
* Fri Apr 04 2025 daviddavid <daviddavid> 0.9.2-15.git20220326.2.mga10
+ Revision: 2173287
- rebuild for new gsasl 2.2.2

* Sat Mar 11 2023 daviddavid <daviddavid> 0.9.2-15.git20220326.1.mga9
+ Revision: 1948577
- switch to vmime upstream github project and update to latest git snapshot from 20220326
  * https://github.com/kisli/vmime/
- relicensed VMime under the GNU GPL version 3
- update Url
- switch to cmake build system
- now libmajor is 1

* Tue Mar 29 2022 umeabot <umeabot> 0.9.2-14.mga9
+ Revision: 1833475
- Mageia 9 Mass Rebuild

* Tue Aug 04 2020 joequant <joequant> 0.9.2-13.mga8
+ Revision: 1610994
- redo deps

* Thu Feb 13 2020 umeabot <umeabot> 0.9.2-12.mga8
+ Revision: 1514562
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.9.2-11.mga7
+ Revision: 1299216
- Mageia 7 Mass Rebuild

* Sat Jun 23 2018 wally <wally> 0.9.2-10.mga7
+ Revision: 1239262
- fix build on aarch64

* Sun May 06 2018 daviddavid <daviddavid> 0.9.2-9.mga7
+ Revision: 1226742
- add patch to fix build with gcc6 and later

* Mon Jan 11 2016 luigiwalser <luigiwalser> 0.9.2-8.mga6
+ Revision: 921823
- rebuild for gnutls

* Wed Oct 15 2014 umeabot <umeabot> 0.9.2-7.mga5
+ Revision: 750701
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.2-6.mga5
+ Revision: 681847
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.2-5.mga4
+ Revision: 507412
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.2-4.mga3
+ Revision: 358395
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 spuhler <spuhler> 0.9.2-3.mga3
+ Revision: 345479
- cleaned up spec file and bumped rel

* Fri Jan 11 2013 spuhler <spuhler> 0.9.2-2.mga3
+ Revision: 345435
- bumped rel for rebuild
- removed bootstrapping
  Corrected the patch name

* Thu Jul 26 2012 spuhler <spuhler> 0.9.2-1.mga3
+ Revision: 274646
- upgrade to 0.9.2+svn603
  Removed patches already applied in svn603
- imported package libvmime

